%
%-------------------------------------------------------------
%
%	ROBOTRAN - Version 6.6 (build : february 22, 2008)
%
%	Copyright 
%	Universit catholique de Louvain 
%	Dpartement de Mcanique 
%	Unit de Production Mcanique et Machines 
%	2, Place du Levant 
%	1348 Louvain-la-Neuve 
%	http://www.robotran.be// 
%
%	==> Generation Date : Tue Oct 14 13:53:55 2008
%
%	==> Project name : mercedesM
%	==> using XML input file 
%
%	==> Number of joints : 17
%
%	==> Function : F 1 : Direct Dynamics (Semi-Explicit formulation) : RNEA
%	==> Flops complexity : 1220
%
%	==> Generation Time :  0.010 seconds
%	==> Post-Processing :  0.020 seconds
%
%-------------------------------------------------------------
%
function [M,c] = dirdyna(s,tsim,usrfun)

 M = zeros(17,17);
 c = zeros(17,1);

q = s.q; 
qd = s.qd; 
qdd = s.qdd; 
frc = s.frc; 
trq = s.trq; 

% === begin imp_aux === 

% === end imp_aux === 

% ===== BEGIN task 0 ===== 

% = = Block_0_0_0_0_0_2 = = 
 
% Trigonometric Variables  

C2 = cos(q(2));
S2 = sin(q(2));
C3 = cos(q(3));
S3 = sin(q(3));

% = = Block_0_0_0_0_0_3 = = 
 
% Trigonometric Variables  

C4 = cos(q(4));
S4 = sin(q(4));
C5 = cos(q(5));
S5 = sin(q(5));

% = = Block_0_0_0_0_0_4 = = 
 
% Trigonometric Variables  

C7 = cos(q(7));
S7 = sin(q(7));
C8 = cos(q(8));
S8 = sin(q(8));

% = = Block_0_0_0_0_0_5 = = 
 
% Trigonometric Variables  

C9 = cos(q(9));
S9 = sin(q(9));
C10 = cos(q(10));
S10 = sin(q(10));

% = = Block_0_0_0_0_0_6 = = 
 
% Trigonometric Variables  

C11 = cos(q(11));
S11 = sin(q(11));
C12 = cos(q(12));
S12 = sin(q(12));
C13 = cos(q(13));
S13 = sin(q(13));
C14 = cos(q(14));
S14 = sin(q(14));
C15 = cos(q(15));
S15 = sin(q(15));
C16 = cos(q(16));
S16 = sin(q(16));

% = = Block_0_1_0_1_0_2 = = 
 
% Forward Kinematics 

AlF22 = -s.g(3)*S2;
OM13 = qd(2)*C3;
OM23 = -qd(2)*S3;

% = = Block_0_1_0_1_0_3 = = 
 
% Forward Kinematics 

AlF24 = -s.g(3)*S4;
OM15 = qd(4)*C5;
OM25 = -qd(4)*S5;

% = = Block_0_1_0_1_0_4 = = 
 
% Forward Kinematics 

AlF27 = -s.g(3)*S7;
OM18 = qd(7)*C8;
OM28 = -qd(7)*S8;

% = = Block_0_1_0_1_0_5 = = 
 
% Forward Kinematics 

AlF29 = -s.g(3)*S9;
OM110 = qd(9)*C10;
OM210 = -qd(9)*S10;

% = = Block_0_1_0_1_0_6 = = 
 
% Forward Kinematics 

AlF211 = -s.g(3)*S11;
AlF311 = -s.g(3)*C11;
OM112 = qd(11)*C12;
OM212 = -qd(11)*S12;
OpF112 = -qd(11)*qd(12)*S12;
OpF212 = -qd(11)*qd(12)*C12;
BS212 = OM112*OM212;
BS512 = -(qd(12)*qd(12)+OM112*OM112);
BeF812 = OpF112+qd(12)*OM212;
AlF112 = AlF211*S12;
AlF212 = AlF211*C12;
AlM112_1 = S11*S12;
AlM212_1 = S11*C12;
OM113 = qd(13)+OM112;
OM313 = qd(12)*C13-OM212*S13;
OpF213 = -(qd(13)*OM212*S13-C13*(OpF212+qd(12)*qd(13)));
OpF313 = -(qd(13)*OM212*C13+S13*(OpF212+qd(12)*qd(13)));
AlF113 = AlF112+BS212*s.dpt(2,13);
AlF213 = C13*(AlF212+BS512*s.dpt(2,13))+S13*(AlF311+BeF812*s.dpt(2,13));
AlF313 = C13*(AlF311+BeF812*s.dpt(2,13))-S13*(AlF212+BS512*s.dpt(2,13));
AlM213_1 = AlM212_1*C13+C11*S13;
AlM313_1 = -(AlM212_1*S13-C11*C13);
OpM213_11 = -S12*C13;
OpM313_11 = S12*S13;
AlM213_11 = s.dpt(2,13)*C12*S13;
AlM313_11 = s.dpt(2,13)*C12*C13;
OM114 = OM113*C14-OM313*S14;
OM214 = qd(14)+qd(12)*S13+OM212*C13;
OpF114 = C14*(OpF112-qd(14)*OM313)-S14*(OpF313+qd(14)*OM113);
OpF314 = C14*(OpF313+qd(14)*OM113)+S14*(OpF112-qd(14)*OM313);
AlF114 = AlF113*C14-AlF313*S14;
AlF314 = AlF113*S14+AlF313*C14;
AlM114_1 = AlM112_1*C14-AlM313_1*S14;
AlM314_1 = AlM112_1*S14+AlM313_1*C14;
OpM114_11 = -(OpM313_11*S14-C12*C14);
OpM314_11 = OpM313_11*C14+C12*S14;
AlM114_11 = -AlM313_11*S14;
AlM314_11 = AlM313_11*C14;
OpM114_12 = -C13*S14;
OpM314_12 = C13*C14;
AlM114_12 = -s.dpt(2,13)*C14;
AlM314_12 = -s.dpt(2,13)*S14;
OM115 = OM114*C15+OM214*S15;
OM215 = -(OM114*S15-OM214*C15);
OM315 = qd(15)+OM113*S14+OM313*C14;
OpF115 = C15*(OpF114+qd(15)*OM214)+S15*(OpF213-qd(15)*OM114);
OpF215 = C15*(OpF213-qd(15)*OM114)-S15*(OpF114+qd(15)*OM214);
BS115 = -(OM215*OM215+OM315*OM315);
BS215 = OM115*OM215;
BS315 = OM115*OM315;
BS515 = -(OM115*OM115+OM315*OM315);
BS615 = OM215*OM315;
BS915 = -(OM115*OM115+OM215*OM215);
BeF215 = BS215-OpF314;
BeF315 = BS315+OpF215;
BeF415 = BS215+OpF314;
BeF615 = BS615-OpF115;
BeF715 = BS315-OpF215;
BeF815 = BS615+OpF115;
AlF115 = AlF114*C15+AlF213*S15;
AlF215 = -(AlF114*S15-AlF213*C15);
AlM115_1 = AlM114_1*C15+AlM213_1*S15;
AlM215_1 = -(AlM114_1*S15-AlM213_1*C15);
OpM115_11 = OpM114_11*C15+OpM213_11*S15;
OpM215_11 = -(OpM114_11*S15-OpM213_11*C15);
AlM115_11 = AlM114_11*C15+AlM213_11*S15;
AlM215_11 = -(AlM114_11*S15-AlM213_11*C15);
OpM115_12 = OpM114_12*C15+S13*S15;
OpM215_12 = -(OpM114_12*S15-S13*C15);
AlM115_12 = AlM114_12*C15;
AlM215_12 = -AlM114_12*S15;
OpM115_13 = C14*C15;
OpM215_13 = -C14*S15;

% = = Block_0_2_0_1_0_2 = = 
 
% Backward Dynamics 

FA13 = -(s.frc(1,3)-s.m(3)*(AlF22*S3+OM13*OM23*s.l(2,3)));
FA33 = -(s.frc(3,3)-s.m(3)*(qd(3)*s.l(2,3)*(OM23-qd(2)*S3)-s.g(3)*C2));
CF33 = -(s.trq(3,3)+FA13*s.l(2,3));
CM33_1 = -s.m(3)*s.l(2,3)*S2*S3;
CM33_3 = s.m(3)*s.l(2,3)*s.l(2,3);
CF2_13 = s.trq(2,3)*S3-C3*(s.trq(1,3)-FA33*s.l(2,3));
CM21_13 = s.m(3)*s.l(2,3)*C2*C3;
CM22_13 = s.m(3)*s.l(2,3)*s.l(2,3)*C3*C3;

% = = Block_0_2_0_1_0_3 = = 
 
% Backward Dynamics 

FA15 = -(s.frc(1,5)-s.m(5)*(AlF24*S5+OM15*OM25*s.l(2,5)));
FA35 = -(s.frc(3,5)-s.m(5)*(qd(5)*s.l(2,5)*(OM25-qd(4)*S5)-s.g(3)*C4));
CF35 = -(s.trq(3,5)+FA15*s.l(2,5));
CM35_1 = -s.m(5)*s.l(2,5)*S4*S5;
CM35_5 = s.m(5)*s.l(2,5)*s.l(2,5);
CF4_15 = s.trq(2,5)*S5-C5*(s.trq(1,5)-FA35*s.l(2,5));
CM41_15 = s.m(5)*s.l(2,5)*C4*C5;
CM44_15 = s.m(5)*s.l(2,5)*s.l(2,5)*C5*C5;

% = = Block_0_2_0_1_0_4 = = 
 
% Backward Dynamics 

FA18 = -(s.frc(1,8)-s.m(8)*(AlF27*S8+OM18*OM28*s.l(2,8)));
FA38 = -(s.frc(3,8)-s.m(8)*(qd(8)*s.l(2,8)*(OM28-qd(7)*S8)-s.g(3)*C7));
CF38 = -(s.trq(3,8)+FA18*s.l(2,8));
CM38_1 = -s.m(8)*s.l(2,8)*S7*S8;
CM38_6 = -s.m(8)*s.l(2,8)*C7*S8;
CM38_8 = s.m(8)*s.l(2,8)*s.l(2,8);
FF7_28 = FA18*S8-C8*(s.frc(2,8)-s.m(8)*(AlF27*C8-s.l(2,8)*(qd(8)*qd(8)+OM18*OM18)));
CF7_18 = s.trq(2,8)*S8-C8*(s.trq(1,8)-FA38*s.l(2,8));
CM71_18 = s.m(8)*s.l(2,8)*C7*C8;
CM76_18 = -s.m(8)*s.l(2,8)*S7*C8;
CM77_18 = s.m(8)*s.l(2,8)*s.l(2,8)*C8*C8;
FF26 = -(s.frc(2,6)+FA38*S7-FF7_28*C7);
FM26_6 = s.m(6)+s.m(8);

% = = Block_0_2_0_1_0_5 = = 
 
% Backward Dynamics 

FA110 = -(s.frc(1,10)-s.m(10)*(AlF29*S10+OM110*OM210*s.l(2,10)));
FA310 = -(s.frc(3,10)-s.m(10)*(qd(10)*s.l(2,10)*(OM210-qd(9)*S10)-s.g(3)*C9));
CF310 = -(s.trq(3,10)+FA110*s.l(2,10));
CM310_1 = -s.m(10)*s.l(2,10)*S10*S9;
CM310_10 = s.m(10)*s.l(2,10)*s.l(2,10);
CF9_110 = s.trq(2,10)*S10-C10*(s.trq(1,10)-FA310*s.l(2,10));
CM91_110 = s.m(10)*s.l(2,10)*C10*C9;
CM99_110 = s.m(10)*s.l(2,10)*s.l(2,10)*C10*C10;

% = = Block_0_2_0_1_0_6 = = 
 
% Backward Dynamics 

FA116 = -(s.frc(1,16)-s.m(16)*(C16*(AlF115+BS115*s.dpt(1,15)+BeF215*s.dpt(2,15)+BeF315*s.dpt(3,15))-S16*(AlF314+BS915*s.dpt(3,15)+BeF715*...
 s.dpt(1,15)+BeF815*s.dpt(2,15))));
FA216 = -(s.frc(2,16)-s.m(16)*(AlF215+BS515*s.dpt(2,15)+BeF415*s.dpt(1,15)+BeF615*s.dpt(3,15)));
FA316 = -(s.frc(3,16)-s.m(16)*(C16*(AlF314+BS915*s.dpt(3,15)+BeF715*s.dpt(1,15)+BeF815*s.dpt(2,15))+S16*(AlF115+BS115*s.dpt(1,15)+BeF215*...
 s.dpt(2,15)+BeF315*s.dpt(3,15))));
FB116_1 = s.m(16)*(AlM115_1*C16-AlM314_1*S16);
FB216_1 = s.m(16)*AlM215_1;
FB316_1 = s.m(16)*(AlM115_1*S16+AlM314_1*C16);
FB116_11 = s.m(16)*(C16*(AlM115_11+OpM215_11*s.dpt(3,15)-OpM314_11*s.dpt(2,15))-S16*(AlM314_11+OpM115_11*s.dpt(2,15)-OpM215_11*s.dpt(1,15)));
FB216_11 = s.m(16)*(AlM215_11-OpM115_11*s.dpt(3,15)+OpM314_11*s.dpt(1,15));
FB316_11 = s.m(16)*(C16*(AlM314_11+OpM115_11*s.dpt(2,15)-OpM215_11*s.dpt(1,15))+S16*(AlM115_11+OpM215_11*s.dpt(3,15)-OpM314_11*s.dpt(2,15)));
FB116_12 = s.m(16)*(C16*(AlM115_12+OpM215_12*s.dpt(3,15)-OpM314_12*s.dpt(2,15))-S16*(AlM314_12+OpM115_12*s.dpt(2,15)-OpM215_12*s.dpt(1,15)));
FB216_12 = s.m(16)*(AlM215_12-OpM115_12*s.dpt(3,15)+OpM314_12*s.dpt(1,15));
FB316_12 = s.m(16)*(C16*(AlM314_12+OpM115_12*s.dpt(2,15)-OpM215_12*s.dpt(1,15))+S16*(AlM115_12+OpM215_12*s.dpt(3,15)-OpM314_12*s.dpt(2,15)));
FB116_13 = s.m(16)*(C16*(OpM215_13*s.dpt(3,15)-s.dpt(2,15)*S14)-S16*(OpM115_13*s.dpt(2,15)-OpM215_13*s.dpt(1,15)));
FB216_13 = -s.m(16)*(OpM115_13*s.dpt(3,15)-s.dpt(1,15)*S14);
FB316_13 = s.m(16)*(C16*(OpM115_13*s.dpt(2,15)-OpM215_13*s.dpt(1,15))+S16*(OpM215_13*s.dpt(3,15)-s.dpt(2,15)*S14));
FB116_14 = s.m(16)*(s.dpt(3,15)*C15*C16+S16*(s.dpt(1,15)*C15-s.dpt(2,15)*S15));
FB216_14 = -s.m(16)*s.dpt(3,15)*S15;
FB316_14 = s.m(16)*(s.dpt(3,15)*C15*S16-C16*(s.dpt(1,15)*C15-s.dpt(2,15)*S15));
FA115 = -(s.frc(1,15)-s.m(15)*(AlF115+BS115*s.l(1,15)+BeF215*s.l(2,15)+BeF315*s.l(3,15)));
FA215 = -(s.frc(2,15)-s.m(15)*(AlF215+BS515*s.l(2,15)+BeF415*s.l(1,15)+BeF615*s.l(3,15)));
FA315 = -(s.frc(3,15)-s.m(15)*(AlF314+BS915*s.l(3,15)+BeF715*s.l(1,15)+BeF815*s.l(2,15)));
FF115 = FA115+FA116*C16+FA316*S16;
FF215 = FA215+FA216;
FF315 = FA315-FA116*S16+FA316*C16;
CF115 = -(s.trq(1,15)+s.trq(1,16)*C16+s.trq(3,16)*S16+FA215*s.l(3,15)+FA216*s.dpt(3,15)-FA315*s.l(2,15)+s.dpt(2,15)*(FA116*S16-FA316*C16));
CF215 = -(s.trq(2,15)+s.trq(2,16)-FA115*s.l(3,15)+FA315*s.l(1,15)-s.dpt(1,15)*(FA116*S16-FA316*C16)-s.dpt(3,15)*(FA116*C16+FA316*S16));
CF315 = -(s.trq(3,15)-s.trq(1,16)*S16+s.trq(3,16)*C16+FA115*s.l(2,15)-FA215*s.l(1,15)-FA216*s.dpt(1,15)+s.dpt(2,15)*(FA116*C16+FA316*S16));
FB115_1 = s.m(15)*AlM115_1;
FB215_1 = s.m(15)*AlM215_1;
FB315_1 = s.m(15)*AlM314_1;
FM115_1 = FB115_1+FB116_1*C16+FB316_1*S16;
FM215_1 = FB215_1+FB216_1;
FM315_1 = FB315_1-FB116_1*S16+FB316_1*C16;
CM115_1 = -(FB215_1*s.l(3,15)+FB216_1*s.dpt(3,15)-FB315_1*s.l(2,15)+s.dpt(2,15)*(FB116_1*S16-FB316_1*C16));
CM215_1 = FB115_1*s.l(3,15)-FB315_1*s.l(1,15)+s.dpt(1,15)*(FB116_1*S16-FB316_1*C16)+s.dpt(3,15)*(FB116_1*C16+FB316_1*S16);
CM315_1 = FB216_1*s.dpt(1,15)-s.dpt(2,15)*(FB116_1*C16+FB316_1*S16)-FB115_1*s.l(2,15)+FB215_1*s.l(1,15);
FB115_11 = s.m(15)*(AlM115_11+OpM215_11*s.l(3,15)-OpM314_11*s.l(2,15));
FB215_11 = s.m(15)*(AlM215_11-OpM115_11*s.l(3,15)+OpM314_11*s.l(1,15));
FB315_11 = s.m(15)*(AlM314_11+OpM115_11*s.l(2,15)-OpM215_11*s.l(1,15));
FM115_11 = FB115_11+FB116_11*C16+FB316_11*S16;
FM215_11 = FB215_11+FB216_11;
FM315_11 = FB315_11-FB116_11*S16+FB316_11*C16;
CM115_11 = -(FB215_11*s.l(3,15)+FB216_11*s.dpt(3,15)-FB315_11*s.l(2,15)+s.dpt(2,15)*(FB116_11*S16-FB316_11*C16));
CM215_11 = FB115_11*s.l(3,15)-FB315_11*s.l(1,15)+s.dpt(1,15)*(FB116_11*S16-FB316_11*C16)+s.dpt(3,15)*(FB116_11*C16+FB316_11*S16);
CM315_11 = FB216_11*s.dpt(1,15)-s.dpt(2,15)*(FB116_11*C16+FB316_11*S16)-FB115_11*s.l(2,15)+FB215_11*s.l(1,15);
FB115_12 = s.m(15)*(AlM115_12+OpM215_12*s.l(3,15)-OpM314_12*s.l(2,15));
FB215_12 = s.m(15)*(AlM215_12-OpM115_12*s.l(3,15)+OpM314_12*s.l(1,15));
FB315_12 = s.m(15)*(AlM314_12+OpM115_12*s.l(2,15)-OpM215_12*s.l(1,15));
CM115_12 = -(FB215_12*s.l(3,15)+FB216_12*s.dpt(3,15)-FB315_12*s.l(2,15)+s.dpt(2,15)*(FB116_12*S16-FB316_12*C16));
CM215_12 = FB115_12*s.l(3,15)-FB315_12*s.l(1,15)+s.dpt(1,15)*(FB116_12*S16-FB316_12*C16)+s.dpt(3,15)*(FB116_12*C16+FB316_12*S16);
CM315_12 = FB216_12*s.dpt(1,15)-s.dpt(2,15)*(FB116_12*C16+FB316_12*S16)-FB115_12*s.l(2,15)+FB215_12*s.l(1,15);
FB115_13 = s.m(15)*(OpM215_13*s.l(3,15)-s.l(2,15)*S14);
FB215_13 = -s.m(15)*(OpM115_13*s.l(3,15)-s.l(1,15)*S14);
FB315_13 = s.m(15)*(OpM115_13*s.l(2,15)-OpM215_13*s.l(1,15));
CM115_13 = -(FB215_13*s.l(3,15)+FB216_13*s.dpt(3,15)-FB315_13*s.l(2,15)+s.dpt(2,15)*(FB116_13*S16-FB316_13*C16));
CM215_13 = FB115_13*s.l(3,15)-FB315_13*s.l(1,15)+s.dpt(1,15)*(FB116_13*S16-FB316_13*C16)+s.dpt(3,15)*(FB116_13*C16+FB316_13*S16);
CM315_13 = FB216_13*s.dpt(1,15)-s.dpt(2,15)*(FB116_13*C16+FB316_13*S16)-FB115_13*s.l(2,15)+FB215_13*s.l(1,15);
FB115_14 = s.m(15)*s.l(3,15)*C15;
FB215_14 = -s.m(15)*s.l(3,15)*S15;
FB315_14 = -s.m(15)*(s.l(1,15)*C15-s.l(2,15)*S15);
CM315_14 = FB216_14*s.dpt(1,15)-s.dpt(2,15)*(FB116_14*C16+FB316_14*S16)-FB115_14*s.l(2,15)+FB215_14*s.l(1,15);
CM315_15 = s.m(15)*(s.l(1,15)*s.l(1,15)+s.l(2,15)*s.l(2,15))+s.m(16)*(s.dpt(1,15)*s.dpt(1,15)+s.dpt(2,15)*s.dpt(2,15));
FF14_115 = FF115*C15-FF215*S15;
FF14_215 = FF115*S15+FF215*C15;
CF14_115 = CF115*C15-CF215*S15;
CF14_215 = CF115*S15+CF215*C15;
FM141_115 = FM115_1*C15-FM215_1*S15;
FM141_215 = FM115_1*S15+FM215_1*C15;
CM141_115 = CM115_1*C15-CM215_1*S15;
CM141_215 = CM115_1*S15+CM215_1*C15;
FM1411_115 = FM115_11*C15-FM215_11*S15;
CM1411_115 = CM115_11*C15-CM215_11*S15;
CM1411_215 = CM115_11*S15+CM215_11*C15;
CM1412_115 = CM115_12*C15-CM215_12*S15;
CM1412_215 = CM115_12*S15+CM215_12*C15;
CM1413_215 = CM115_13*S15+CM215_13*C15;
CM1414_215 = C15*(FB115_14*s.l(3,15)-FB315_14*s.l(1,15)+s.dpt(1,15)*(FB116_14*S16-FB316_14*C16)+s.dpt(3,15)*(FB116_14*C16+FB316_14*S16))-S15*(...
 FB215_14*s.l(3,15)+FB216_14*s.dpt(3,15)-FB315_14*s.l(2,15)+s.dpt(2,15)*(FB116_14*S16-FB316_14*C16));
FF13_114 = FF14_115*C14+FF315*S14;
FF13_314 = -(FF14_115*S14-FF315*C14);
CF13_114 = CF14_115*C14+CF315*S14;
CF13_314 = -(CF14_115*S14-CF315*C14);
FM131_114 = FM141_115*C14+FM315_1*S14;
FM131_314 = -(FM141_115*S14-FM315_1*C14);
CM131_114 = CM141_115*C14+CM315_1*S14;
CM131_314 = -(CM141_115*S14-CM315_1*C14);
CM1311_114 = CM1411_115*C14+CM315_11*S14;
CM1311_314 = -(CM1411_115*S14-CM315_11*C14);
CM1312_114 = CM1412_115*C14+CM315_12*S14;
CM1313_114 = CM315_13*S14+C14*(CM115_13*C15-CM215_13*S15);
FA112 = -(s.frc(1,12)-s.m(12)*(AlF112+BS212*s.l(2,12)));
FA312 = -(s.frc(3,12)-s.m(12)*(AlF311+BeF812*s.l(2,12)));
CF312 = -(s.trq(3,12)-CF13_314*C13-CF14_215*S13+FA112*s.l(2,12)+FF13_114*s.dpt(2,13));
FB112_1 = s.m(12)*AlM112_1;
FB312_1 = s.m(12)*C11;
CM312_1 = CM131_314*C13+CM141_215*S13-FB112_1*s.l(2,12)-FM131_114*s.dpt(2,13);
CM1211_313 = CM1311_314*C13+CM1411_215*S13-s.dpt(2,13)*(FM1411_115*C14+FM315_11*S14);
CM312_12 = s.m(12)*s.l(2,12)*s.l(2,12)+CM1412_215*S13-s.dpt(2,13)*(C14*(C15*(FB115_12+FB116_12*C16+FB316_12*S16)-S15*(FB215_12+FB216_12))+S14*(...
 FB315_12-FB116_12*S16+FB316_12*C16))-C13*(CM1412_115*S14-CM315_12*C14);
CF11_112 = -(C12*(s.trq(1,12)-CF13_114-FA312*s.l(2,12)-s.dpt(2,13)*(FF13_314*C13+FF14_215*S13))-S12*(s.trq(2,12)+CF13_314*S13-CF14_215*C13));
CM111_112 = C12*(CM131_114+FB312_1*s.l(2,12)+s.dpt(2,13)*(FM131_314*C13+FM141_215*S13))+S12*(CM131_314*S13-CM141_215*C13);
CM1111_112 = C12*(CM1311_114+s.m(12)*s.l(2,12)*s.l(2,12)*C12-s.dpt(2,13)*(C13*(FM1411_115*S14-FM315_11*C14)-S13*(FM115_11*S15+FM215_11*C15)))+...
 S12*(CM1311_314*S13-CM1411_215*C13);

% = = Block_0_2_0_2_0_1 = = 
 
% Backward Dynamics 

FF31 = -(s.frc(3,1)+s.frc(3,6)+s.m(1)*s.g(3)+s.m(6)*s.g(3)-FA310*C9-FA33*C2-FA35*C4-FA38*C7-FF7_28*S7-C11*(FA312+FF13_314*C13+FF14_215*S13)+S11...
 *(C12*(s.frc(2,12)-s.m(12)*(AlF212+BS512*s.l(2,12))+FF13_314*S13-FF14_215*C13)-S12*(FA112+FF13_114))-S2*(FA13*S3-C3*(s.frc(2,3)-s.m(3)*(AlF22*C3-...
 s.l(2,3)*(qd(3)*qd(3)+OM13*OM13))))-S4*(FA15*S5-C5*(s.frc(2,5)-s.m(5)*(AlF24*C5-s.l(2,5)*(qd(5)*qd(5)+OM15*OM15))))-S9*(FA110*S10-C10*(s.frc(2,10)-...
 s.m(10)*(AlF29*C10-s.l(2,10)*(qd(10)*qd(10)+OM110*OM110)))));
FM31_1 = s.m(1)+s.m(10)+s.m(3)+s.m(5)+s.m(6)+s.m(8)+C11*(FB312_1+FM131_314*C13+FM141_215*S13)+S11*(C12*(s.m(12)*AlM212_1-FM131_314*S13+...
 FM141_215*C13)+S12*(FB112_1+FM131_114));

% = = Block_0_3_0_0_0_0 = = 
 
% Symbolic Outputs  

M(1,1) = FM31_1;
M(1,2) = CM21_13;
M(1,3) = CM33_1;
M(1,4) = CM41_15;
M(1,5) = CM35_1;
M(1,7) = CM71_18;
M(1,8) = CM38_1;
M(1,9) = CM91_110;
M(1,10) = CM310_1;
M(1,11) = CM111_112;
M(1,12) = CM312_1;
M(1,13) = CM131_114;
M(1,14) = CM141_215;
M(1,15) = CM315_1;
M(2,1) = CM21_13;
M(2,2) = CM22_13;
M(3,1) = CM33_1;
M(3,3) = CM33_3;
M(4,1) = CM41_15;
M(4,4) = CM44_15;
M(5,1) = CM35_1;
M(5,5) = CM35_5;
M(6,6) = FM26_6;
M(6,7) = CM76_18;
M(6,8) = CM38_6;
M(7,1) = CM71_18;
M(7,6) = CM76_18;
M(7,7) = CM77_18;
M(8,1) = CM38_1;
M(8,6) = CM38_6;
M(8,8) = CM38_8;
M(9,1) = CM91_110;
M(9,9) = CM99_110;
M(10,1) = CM310_1;
M(10,10) = CM310_10;
M(11,1) = CM111_112;
M(11,11) = CM1111_112;
M(11,12) = CM1211_313;
M(11,13) = CM1311_114;
M(11,14) = CM1411_215;
M(11,15) = CM315_11;
M(12,1) = CM312_1;
M(12,11) = CM1211_313;
M(12,12) = CM312_12;
M(12,13) = CM1312_114;
M(12,14) = CM1412_215;
M(12,15) = CM315_12;
M(13,1) = CM131_114;
M(13,11) = CM1311_114;
M(13,12) = CM1312_114;
M(13,13) = CM1313_114;
M(13,14) = CM1413_215;
M(13,15) = CM315_13;
M(14,1) = CM141_215;
M(14,11) = CM1411_215;
M(14,12) = CM1412_215;
M(14,13) = CM1413_215;
M(14,14) = CM1414_215;
M(14,15) = CM315_14;
M(15,1) = CM315_1;
M(15,11) = CM315_11;
M(15,12) = CM315_12;
M(15,13) = CM315_13;
M(15,14) = CM315_14;
M(15,15) = CM315_15;
c(1) = FF31;
c(2) = CF2_13;
c(3) = CF33;
c(4) = CF4_15;
c(5) = CF35;
c(6) = FF26;
c(7) = CF7_18;
c(8) = CF38;
c(9) = CF9_110;
c(10) = CF310;
c(11) = CF11_112;
c(12) = CF312;
c(13) = CF13_114;
c(14) = CF14_215;
c(15) = CF315;
c(16) = -s.trq(2,16);
c(17) = -s.frc(3,17);

% ====== END Task 0 ====== 

  

